NNG_AIO_GET_INPUT(3)

NAME
nng_aio_get_input - return input parameter

SYNOPSIS

    #include <nng/nng.h>

    void *nng_aio_get_input(nng_aio *aio, unsigned int index);

DESCRIPTION

The nng_aio_get_input() function returns the value of the input parameter previously set at index on aio with the nng_aio_set_input() function.

The valid values of index range from zero (0) to three (3), as no operation currently defined can accept more than four parameters. (This limit could increase in the future.) If the index supplied is outside of this range, or of the input parameter was not previously set, then NULL is returned.

RETURN VALUES

Value previously set, or NULL.

ERRORS

None.

SEE ALSO

nng_aio_alloc(3), nng_aio_get_output(3), nng_aio_set_input(3), nng_aio_result(3), nng_aio(5), nng(7)